Bug 1797111 - Ganglia web pages cannot be served
Summary: Ganglia web pages cannot be served
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ganglia
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 22:26 UTC by Vladimir Florinski
Modified: 2020-02-20 05:03 UTC (History)
2 users (show)

Fixed In Version: ganglia-3.7.2-30.fc31 ganglia-3.7.2-30.fc30 ganglia-3.7.2-31.fc30 ganglia-3.7.2-31.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 04:46:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Vladimir Florinski 2020-01-31 22:26:44 UTC
Description of problem:

All requests to view ganglia specific web pages return a server error.

Version-Release number of selected component (if applicable):

ganglia-web-3.7.2-28.fc31.x86_64

How reproducible:

always

Steps to Reproduce:
1. dnf install ganglia-web
2. systemctl start httpd
   (could also start gmetad, but the problem is not related to it).
3. firefox http://localhost/ganglia/index.php

Actual results:

nothing is displayed in the browser

httpd log says
"GET /ganglia/index.php HTTP/1.1" 500 - "-" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:72.0) Gecko/20100101 Firefox/72.0"

Expected results:

something should be displayed in the browser, even without a running gmetad

httpd log should say
"GET /ganglia/index.php HTTP/1.1" 200 21958 "-" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:72.0) Gecko/20100101 Firefox/72.0"

(this if from an old system running Fedora 26).

Additional info:

HTML files placed in /usr/share/ganglia are served fine. Simple PHP scripts placed there are also run correctly. So the problem is with ganglia's own PHP scripts.

Comment 1 Fedora Update System 2020-02-02 16:24:52 UTC
FEDORA-2020-d8017af5f8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8017af5f8

Comment 2 Fedora Update System 2020-02-02 16:24:54 UTC
FEDORA-2020-286728121a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-286728121a

Comment 3 Terje Røsten 2020-02-02 16:26:17 UTC
Hi!

Can you please try the updated version available in testing (as indicated above)?

Comment 4 Fedora Update System 2020-02-03 01:50:39 UTC
ganglia-3.7.2-30.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-286728121a

Comment 5 Fedora Update System 2020-02-03 02:15:32 UTC
ganglia-3.7.2-30.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8017af5f8

Comment 6 Vladimir Florinski 2020-02-04 17:59:34 UTC
I see no change in the testing version. The web interface is still not working.

Comment 7 Fedora Update System 2020-02-11 01:13:37 UTC
ganglia-3.7.2-30.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-02-11 02:06:57 UTC
ganglia-3.7.2-30.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Terje Røsten 2020-02-11 06:23:59 UTC
re-open

Comment 10 Fedora Update System 2020-02-11 18:32:05 UTC
FEDORA-2020-73716bcffb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-73716bcffb

Comment 11 Fedora Update System 2020-02-11 18:32:08 UTC
FEDORA-2020-14d275a72b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-14d275a72b

Comment 12 Terje Røsten 2020-02-11 18:33:12 UTC
hi again, please try this new attempt to fix the issue.

Comment 13 Fedora Update System 2020-02-12 01:57:36 UTC
ganglia-3.7.2-31.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-73716bcffb

Comment 14 Fedora Update System 2020-02-12 02:30:04 UTC
ganglia-3.7.2-31.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-14d275a72b

Comment 15 Vladimir Florinski 2020-02-13 18:55:44 UTC
This update resolved the issue. The web page is now displayed correctly. There remained some small problems with SELinux policies that prevented the web server and rrdtool from accessing ganglia resources:

type=AVC msg=audit(1581612226.590:4294): avc:  denied  { name_connect } for  pid=895727 comm="php-fpm" dest=8652 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:http_port_t:s0 tclass=tcp_socket permissive=0

type=AVC msg=audit(1581614441.377:4384): avc:  denied  { map } for  pid=895727 comm="php-fpm" path="/var/lib/ganglia-web/dwoo/compiled/templates/default/cluster_view.tpl.d17.php" dev="sda3" ino=787631 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:httpd_var_lib_t:s0 tclass=file permissive=0

type=AVC msg=audit(1581614802.670:4420): avc:  denied  { map } for  pid=2101168 comm="rrdtool" path="/var/lib/ganglia/rrds/TestCluster/clusterhn.ch2039.lan/load_one.rrd" dev="sda3" ino=3670126 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:httpd_var_lib_t:s0 tclass=file permissive=0

that can be fixed by issuing

setsebool -P httpd_can_network_connect=on domain_can_mmap_files=on

I don't know if this compromises the overall security. If the change is benign, perhaps the commands could be included in the ganglia's RPM postinstall script?

Comment 16 Terje Røsten 2020-02-19 14:55:42 UTC
selinux policy is not shipped in package, the package selinux-policy has policy for all and everything. 

Open report against this package to discuss this problem.

Comment 17 Fedora Update System 2020-02-20 04:46:05 UTC
ganglia-3.7.2-31.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-02-20 05:03:42 UTC
ganglia-3.7.2-31.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.